Package: org.grails.encoder

## [Java] Interface CodecIdentifierProvider

-     public interface CodecIdentifierProvider

  Marker interface that tells that the instance has information about the Codec Encoder and Decoder interfaces extend this interface.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CodecIdentifier` | `getCodecIdentifier()` Gets the codec identifier information.

- - ### Method Detail

    - #### public CodecIdentifier getCodecIdentifier()

      Gets the codec identifier information.

      Returns:
        the codec identifier information